Subject: Re: bug#36748: 26.2; Eshell: eshell-visual-commands and tramp

From: Michael Albinus <[email-masked]>
Date: Mon, 22 Jul 2019 08:59:44 +0200

Baptiste Strazzulla <[email-masked]> writes:

> Hello,

Hi Baptiste,

> I added git to the visual commands of eshell so that it would output
> git commands in an ansi-term buffer. This works well locally but
> running the same command remotely through tramp gives me the following
> error:

eshell uses term.el for visual commands. This does not support remote
processes (yet).

I mark this bug as wishlist. Hopefully, it will be implemented.

Best regards, Michael.